List alert matches
curl --request GET \
--url https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"alert_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "watch_listing",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matched_at_ms": 123,
"seen_at_ms": 123,
"match_context": {
"strategy": "price_engine",
"configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseline_average_eur_minor": 123,
"original_ask_eur_minor": 123,
"hk_markup_eur_minor": 123,
"comparable_ask_eur_minor": 123,
"profit_opportunity_eur_minor": 123,
"minimum_profit_eur_minor": 123,
"year": 123,
"condition_bucket": "new",
"brand": "rolex",
"reference": "<string>",
"source_market": "EU",
"snapshot_at_ms": 123,
"source_sequence": 123,
"calculation_version": "price-engine.v1",
"configuration_key": "<string>",
"calculator_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseline_median_eur_minor": 123
}
}
],
"total": 123
}alerts
List alert matches
GET
/
v2
/
alerts
/
{alert_id}
/
matches
List alert matches
curl --request GET \
--url https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts/{alert_id}/matches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"alert_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "watch_listing",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matched_at_ms": 123,
"seen_at_ms": 123,
"match_context": {
"strategy": "price_engine",
"configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseline_average_eur_minor": 123,
"original_ask_eur_minor": 123,
"hk_markup_eur_minor": 123,
"comparable_ask_eur_minor": 123,
"profit_opportunity_eur_minor": 123,
"minimum_profit_eur_minor": 123,
"year": 123,
"condition_bucket": "new",
"brand": "rolex",
"reference": "<string>",
"source_market": "EU",
"snapshot_at_ms": 123,
"source_sequence": 123,
"calculation_version": "price-engine.v1",
"configuration_key": "<string>",
"calculator_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseline_median_eur_minor": 123
}
}
],
"total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100